use strict;
use warnings;
package Socket::More::Constants;
our $VERSION='v0.1.1';
my %table;
BEGIN {%table=(
 AF_APPLETALK => 5,
 AF_DECnet => 12,
 AF_INET => 2,
 AF_INET6 => 10,
 AF_KEY => 15,
 AF_LOCAL => 1,
 AF_MAX => 46,
 AF_ROUTE => 16,
 AF_SNA => 22,
 AF_UNIX => 1,
 AF_UNSPEC => 0,
 AF_X25 => 9,
 AI_ADDRCONFIG => 32,
 AI_ALL => 16,
 AI_CANONIDN => 128,
 AI_CANONNAME => 2,
 AI_IDN => 64,
 AI_NUMERICHOST => 4,
 AI_NUMERICSERV => 1024,
 AI_PASSIVE => 1,
 AI_V4MAPPED => 8,
 EAI_ADDRFAMILY => -9,
 EAI_AGAIN => -3,
 EAI_BADFLAGS => -1,
 EAI_FAIL => -4,
 EAI_FAMILY => -6,
 EAI_NODATA => -5,
 EAI_NONAME => -2,
 EAI_SERVICE => -8,
 EAI_SOCKTYPE => -7,
 EAI_SYSTEM => -11,
 IN6ADDR_ANY => "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00",
 IN6ADDR_LOOPBACK => "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01",
 INADDR_ANY => "\x00\x00\x00\x00",
 INADDR_BROADCAST => "\xff\xff\xff\xff",
 INADDR_LOOPBACK => "\x7f\x00\x00\x01",
 INADDR_NONE => "\xff\xff\xff\xff",
 IOV_MAX => 1024,
 IPPROTO_AH => 51,
 IPPROTO_ESP => 50,
 IPPROTO_GRE => 47,
 IPPROTO_ICMP => 1,
 IPPROTO_ICMPV6 => 58,
 IPPROTO_IGMP => 2,
 IPPROTO_IP => 0,
 IPPROTO_IPV6 => 41,
 IPPROTO_RAW => 255,
 IPPROTO_SCTP => 132,
 IPPROTO_TCP => 6,
 IPPROTO_UDP => 17,
 IPV6_ADD_MEMBERSHIP => 20,
 IPV6_DROP_MEMBERSHIP => 21,
 IPV6_JOIN_GROUP => 20,
 IPV6_LEAVE_GROUP => 21,
 IPV6_MTU => 24,
 IPV6_MTU_DISCOVER => 23,
 IPV6_MULTICAST_HOPS => 18,
 IPV6_MULTICAST_IF => 17,
 IPV6_MULTICAST_LOOP => 19,
 IPV6_RECVERR => 25,
 IPV6_ROUTER_ALERT => 22,
 IPV6_UNICAST_HOPS => 16,
 IPV6_V6ONLY => 26,
 IP_ADD_MEMBERSHIP => 35,
 IP_ADD_SOURCE_MEMBERSHIP => 39,
 IP_BIND_ADDRESS_NO_PORT => 24,
 IP_DROP_MEMBERSHIP => 36,
 IP_DROP_SOURCE_MEMBERSHIP => 40,
 IP_FREEBIND => 15,
 IP_HDRINCL => 3,
 IP_MTU => 14,
 IP_MTU_DISCOVER => 10,
 IP_MULTICAST_ALL => 49,
 IP_MULTICAST_IF => 32,
 IP_MULTICAST_LOOP => 34,
 IP_MULTICAST_TTL => 33,
 IP_NODEFRAG => 22,
 IP_OPTIONS => 4,
 IP_PMTUDISC_DO => 2,
 IP_PMTUDISC_DONT => 0,
 IP_PMTUDISC_PROBE => 3,
 IP_PMTUDISC_WANT => 1,
 IP_RECVERR => 11,
 IP_RECVOPTS => 6,
 IP_RECVRETOPTS => 7,
 IP_RETOPTS => 7,
 IP_TOS => 1,
 IP_TRANSPARENT => 19,
 IP_TTL => 2,
 MSG_CTRUNC => 8,
 MSG_DONTROUTE => 4,
 MSG_DONTWAIT => 64,
 MSG_EOR => 128,
 MSG_ERRQUEUE => 8192,
 MSG_FASTOPEN => 536870912,
 MSG_FIN => 512,
 MSG_NOSIGNAL => 16384,
 MSG_OOB => 1,
 MSG_PEEK => 2,
 MSG_PROXY => 16,
 MSG_RST => 4096,
 MSG_SYN => 1024,
 MSG_TRUNC => 32,
 MSG_WAITALL => 256,
 NI_DGRAM => 16,
 NI_IDN => 32,
 NI_NAMEREQD => 8,
 NI_NOFQDN => 4,
 NI_NUMERICHOST => 1,
 NI_NUMERICSERV => 2,
 PF_APPLETALK => 5,
 PF_DECnet => 12,
 PF_INET => 2,
 PF_INET6 => 10,
 PF_KEY => 15,
 PF_LOCAL => 1,
 PF_MAX => 46,
 PF_ROUTE => 16,
 PF_SNA => 22,
 PF_UNIX => 1,
 PF_UNSPEC => 0,
 PF_X25 => 9,
 SCM_CREDENTIALS => 2,
 SCM_RIGHTS => 1,
 SCM_TIMESTAMP => 29,
 SHUT_RD => 0,
 SHUT_RDWR => 2,
 SHUT_WR => 1,
 SOCK_CLOEXEC => 524288,
 SOCK_DGRAM => 2,
 SOCK_NONBLOCK => 2048,
 SOCK_RAW => 3,
 SOCK_RDM => 4,
 SOCK_SEQPACKET => 5,
 SOCK_STREAM => 1,
 SOL_SOCKET => 1,
 SOMAXCONN => 4096,
 SO_ACCEPTCONN => 30,
 SO_ATTACH_FILTER => 26,
 SO_BINDTODEVICE => 25,
 SO_BROADCAST => 6,
 SO_BSDCOMPAT => 14,
 SO_BUSY_POLL => 46,
 SO_DEBUG => 1,
 SO_DETACH_FILTER => 27,
 SO_DOMAIN => 39,
 SO_DONTROUTE => 5,
 SO_ERROR => 4,
 SO_INCOMING_CPU => 49,
 SO_INCOMING_NAPI_ID => 56,
 SO_KEEPALIVE => 9,
 SO_LINGER => 13,
 SO_LOCK_FILTER => 44,
 SO_MARK => 36,
 SO_OOBINLINE => 10,
 SO_PASSCRED => 16,
 SO_PEEK_OFF => 42,
 SO_PEERCRED => 17,
 SO_PRIORITY => 12,
 SO_PROTOCOL => 38,
 SO_RCVBUF => 8,
 SO_RCVBUFFORCE => 33,
 SO_RCVLOWAT => 18,
 SO_RCVTIMEO => 20,
 SO_REUSEADDR => 2,
 SO_REUSEPORT => 15,
 SO_RXQ_OVFL => 40,
 SO_SECURITY_AUTHENTICATION => 22,
 SO_SECURITY_ENCRYPTION_NETWORK => 24,
 SO_SECURITY_ENCRYPTION_TRANSPORT => 23,
 SO_SNDBUF => 7,
 SO_SNDBUFFORCE => 32,
 SO_SNDLOWAT => 19,
 SO_SNDTIMEO => 21,
 SO_TIMESTAMP => 29,
 SO_TYPE => 3,
 TCP_CONGESTION => 13,
 TCP_CORK => 3,
 TCP_DEFER_ACCEPT => 9,
 TCP_FASTOPEN => 23,
 TCP_INFO => 11,
 TCP_KEEPCNT => 6,
 TCP_KEEPIDLE => 4,
 TCP_KEEPINTVL => 5,
 TCP_LINGER2 => 8,
 TCP_MAXSEG => 2,
 TCP_MD5SIG => 14,
 TCP_NODELAY => 1,
 TCP_QUICKACK => 12,
 TCP_SYNCNT => 7,
 TCP_USER_TIMEOUT => 18,
 TCP_WINDOW_CLAMP => 10,
 UIO_MAXIOV => 1024,
);}
use constant::more %table;
use Export::These export_pass=>[], keys %table;
1;